Take the 2-minute tour ×
Webmasters Stack Exchange is a question and answer site for pro webmasters. It's 100% free, no registration required.

I was trying to host a zend-framework project on new host provider. After uploading everything and configuring the database connection I have encountered Internal Server Error message. My service provider told they don't installed zend-framework but I have integrated the framework as a library into the project.

enter image description here

When i tested the server uploading html file it work fine.

Since i don't have the Apache server accessing privilege, How can i fix that?

error log:

#0 /home/myweb/public_html/library/Zend/Db/Adapter/Pdo/Mysql.php(96): Zend_Db_Adapter_Pdo_Abstract->_connect()
#1 /home/myweb/public_html/library/Zend/Db/Adapter/Abstract.php(448): Zend_Db_Adapter_Pdo_Mysql->_connect()
#2 /home/myweb/public_html/library/Zend/Db/Adapter/Pdo/Abstract.php(238): Zend_Db_Adapter_Abstract->query('SET NAMES 'utf8...', Array)
#3 /home/myweb/public_html/application/Bootstrap.php(144): Zend_Db_Adapter_Pdo_Abstract->query('SET NAMES 'utf8...')
#4 /home/myweb/public_html/library/Zend/Application/Bootstrap/BootstrapAbstract.php(666): Bootstrap->_initDb()
#5 /home/myweb/public_html/library/Zend/Application/Bootstrap/BootstrapAbstract.php(619): Zend_Application_Bootstrap_BootstrapAbstract->_executeResource('db')
#6 /home/myweb/public_html/library/Zend/Application/Bootstrap/BootstrapAbstr in /home/myweb/public_html/library/Zend/Db/Adapter/Pdo/Abstract.php on line 112
[11-Jul-2011 07:35:51] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20060613/pdo_mysql.so' - /usr/local/lib/php/extensions/no-debug-non-zts-20060613/pdo_mysql.so: undefined symbol: php_pdo_unregister_driver in Unknown on line 0
[11-Jul-2011 07:35:51] PHP Fatal error:  Uncaught exception 'Zend_Db_Adapter_Exception' with message 'The mysql driver is not currently installed' in /home/myweb/public_html/library/Zend/Db/Adapter/Pdo/Abstract.php:112
Stack trace:
share|improve this question
    
Have you checked your server logs? They're normally available even on shared hosting accounts, often in a folder called /logs/ in the root directory of the main FTP account. The error log should give you more information about the Internal Server Error; it would be useful for you to edit your question to add the contents of the error log. –  Nick Jul 11 '11 at 8:28
add comment

2 Answers 2

up vote 4 down vote accepted

Your error log shows that the Zend framework can't find the PDO MySQL driver it needs to connect to the MySQL server. This could be for a couple of reasons:

  1. It's possible your server is running an old version of PHP. (The PDO class is only included in PHP 5.1 or later.) Check what version you're running by creating a file called 'info.php' containing the following code, and opening that file in your browser:

    <?php phpinfo(); ?>
    

    Delete this file as soon as you've checked the PHP version so that others can't access it. If you're not using PHP 5.1, ask your hosting company to install it for you. If you are using PHP 5.1, read on.

  2. Your hosting company doesn't have the PDO MySQL driver installed. You could contact them with the contents of your error log and ask them to install the driver, or use a different hosting company who includes the PDO MySQL driver (or, even better, one that specifically names the Zend framework in their list of supported modules).
share|improve this answer
    
Thanks @Nick I get the same error message when i open the created php info file. I will try to ask my host provider about the php version. –  Achu Jul 11 '11 at 9:08
    
@Achu I would simply send them your error log and see what resolution they recommend. –  Nick Jul 11 '11 at 9:13
    
ok Thanks i will do that. –  Achu Jul 11 '11 at 9:15
add comment

From my reading of the error message:

Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20060613/pdo_mysql.so'

Looks like your server is missing some extensions. I suggest that you pay the extra for a Virtual Private Server where you will be able to install them.

share|improve this answer
    
If the OP can't understand his current error logs how do you expect him to manage a VPS securely. –  Rincewind42 Jul 11 '11 at 16:11
    
@Rincewind42 He is working with Zend Framework - give him some respect and don't be such a negative modder-down-type-of-person! Maybe you have more experience of these 'hosting providers' than me, personally I think they suck if you need to run anything that uses Zend Framework and a VPS is the only way to go. It is not any harder running a VPS than a dumbed down, at-best-CPanel shared hosting effort. –  ʍǝɥʇɐɯ Jul 11 '11 at 16:26
    
I marked you down cause you didn't answer his question. If he went a got a VPS he'd sill have the same error message. –  Rincewind42 Jul 11 '11 at 17:11
    
@Rincewind42 - pedantry will get you nowhere. My original answer was concise and to the point - he is on the wrong hosting for a Zend build and needs a VPS. I suggest you put a better answer up here rather than irritate someone that did take the time to assist the questioner. Now go away. –  ʍǝɥʇɐɯ Jul 11 '11 at 17:19
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.